Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.lcs
Interface ILcsSession

All Superinterfaces:
  IImSession, ISession, java.io.Serializable

public interface ILcsSession
extends IImSession

Specifies an LCS specific extension to IImSession

Field Summary
`static java.lang.String` | `PROP_IM_DISPLAYNAME` Display name is a freeform string.
`static java.lang.String` | `PROP_IM_DOMAIN` Required key to create a session.
`static java.lang.String` | `PROP_IM_DOMAINCONTROLLER` In order to authenticate against a Windows domain, the name of the machine trying authenticate must be sent to the domain controller.
`static java.lang.String` | `PROP_IM_LISTEN_PORT_LBOUND` LCS reguires clients to be able to listen for incoming notifications on an arbitrary port.
`static java.lang.String` | `PROP_IM_LISTEN_PORT_UBOUND` This parameter specifies the upper bounder of the port range that will be traversed in order to establish a listener socket for receiving LCS notification messages.
`static java.lang.String` | `PROP_IM_URI` URI of the user whose credentials are used to log into the LCS server.

Fields inherited from interface com.compoze.collab.im.IImSession
`PROP_IM_PASSWORD, PROP_IM_PORT, PROP_IM_PROTOCOL, PROP_IM_SERVER, PROP_IM_USERNAME`

Fields inherited from interface com.compoze.collab.ISession
`PROP_ADMIN_LOCALE, PROP_AUTO_FETCH, PROP_CACHE_DEPENDENCY_CHECK_MILLIS, PROP_CACHE_ENABLED, PROP_CACHE_QUERY_MAX, PROP_CACHE_UPDATE_MILLIS, PROP_CACHE_USE_SOFT_REFERENCES, PROP_LOCALE, PROP_LOG_LEVEL, PROP_PROGRAMMER_LOCALE, PROP_PROVIDER, PROP_SCHEMA, PROPVALUE_REMOVE, STATE_AUTHENTICATED, STATE_INITIALIZED, STATE_OPEN, STATE_UNINITIALIZED`

Method Summary
`boolean` | `isEstablished()` Indicator of whether the connection has been successfully established.

Methods inherited from interface com.compoze.collab.im.IImSession
`addImListener, removeImListener, setPresence, setTypingStatus, setTypingStatus`

Methods inherited from interface com.compoze.collab.ISession
`addLogListener, close, endProfile, endTimer, endTimer, getAdminLocale, getAttribute, getDefaultRootContainer, getDefaultRootContainer, getLocale, getLogLevel, getOption, getOptions, getProgrammerLocale, getProperty, getProvider, getState, invalidateCache, isCapabilitySupported, log, login, login, logout, open, open, removeAttribute, setAdminLocale, setAttribute, setLocale, setLogLevel, setOption, setOptions, setProgrammerLocale, startProfile, startProfile, startTimer, startTimer`

Field Detail

### PROP_IM_DOMAIN

    public static final java.lang.String PROP_IM_DOMAIN

  Required key to create a session. Specifies the Windows domain where the LCS server is located.

### PROP_IM_URI

    public static final java.lang.String PROP_IM_URI

  URI of the user whose credentials are used to log into the LCS server. URIs are used internally by the server to identify users. It gets assigned to a Windows user when LCS access is granted.
  Example of a valid SIP URI: "myusername@mydomain.mycompany.com"

### PROP_IM_DISPLAYNAME

    public static final java.lang.String PROP_IM_DISPLAYNAME

  Display name is a freeform string. Example: "John H. Smith"

### PROP_IM_DOMAINCONTROLLER

    public static final java.lang.String PROP_IM_DOMAINCONTROLLER

  In order to authenticate against a Windows domain, the name of the machine trying authenticate must be sent to the domain controller. If this code is executing on a Windows machine, we recommend that you use the network name of this machine as a value for this parameter.
  If this code is executing on a machine, which doesn't belong to a Windows domain, the value must be set to the name of the Windows domain controller.

### PROP_IM_LISTEN_PORT_LBOUND

    public static final java.lang.String PROP_IM_LISTEN_PORT_LBOUND

  LCS reguires clients to be able to listen for incoming notifications on an arbitrary port. This parameter specifies the lower bounder of the port range that will be traversed in order to establish a listener socket for receiving LCS notification messages.

### PROP_IM_LISTEN_PORT_UBOUND

    public static final java.lang.String PROP_IM_LISTEN_PORT_UBOUND

  This parameter specifies the upper bounder of the port range that will be traversed in order to establish a listener socket for receiving LCS notification messages.

Method Detail

### isEstablished

    public boolean isEstablished()

  Indicator of whether the connection has been successfully established. Establishing a connection may take time. Client code should synchonize on this session object and issue a wait(). Method is not synchronized.
  Returns:
    `true` if established, `false` if not.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.